Restore
Restore VoD push zone
curl -X GET "https://api.5centscdn.com/v2/zones/vod/push/42/restore" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/push/42/restore"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/push/42/restore", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/zones/vod/push/42/restore", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/push/42/restore')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Zone Updated",
"zone": {
"type": "push",
"id": 12345,
"serviceid": 67890,
"alias": "dadada'/dadad",
"hashid": "m2qal675ajdg",
"mode": "vod",
"optimizer": "0",
"cnames": "",
"edgeruleids": 0,
"rclone": 0,
"disabled": "0",
"created_at": "2026-04-01 11:34:46",
"updated_at": "2026-04-01 11:34:46",
"deleted": null,
"router": "mycdn",
"remaining": 0,
"status": "Enabled",
"name": "sample-push-zone",
"fqdn": "cdn.example.com",
"fqdnVoD": "cdn.example.com",
"ssl": {
"http": "N",
"http2": "Y",
"redirect": "N",
"mode": "S",
"certid": null,
"enabled": "Y",
"warning": false
},
"cnamesArr": [],
"cnamesArrFqdn": [
"cdn.example.com"
],
"waf": {
"enabled": "N"
},
"defaultBehaviors": {},
"edgeRules": [],
"cache": {
"smart": "0",
"cache": "4h",
"expiry": "1M",
"querystring": "N",
"cachecontrol": "Y",
"usestale": "Y",
"revalidate": "Y",
"cacheInSecs": 14400,
"cacheInMins": 240,
"expiryInSecs": 2592000,
"expiryInMins": 43200
},
"edge": {
"compression": "N",
"compressionlevel": "5",
"disposition": "N",
"stripcookie": "N",
"xff": "N",
"cors": "Y",
"webp": "N",
"pseudostreaming": "Y",
"wp": "N",
"lfo": "Y",
"prefresh": "N"
},
"domainlock": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"noreferer": "N",
"active": "N"
},
"geoblock": {
"enabled": "N",
"policy": "N",
"list": [
""
],
"ips": "",
"active": "N"
},
"ipaccess": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"useragent": {
"enabled": "N",
"policy": "Y",
"list": "",
"ips": "",
"casesensitive": "N",
"active": "N",
"listArr": [
""
]
},
"securetoken": {
"enabled": "N",
"policy": "F",
"keyip": "N",
"list": "",
"timeout": 5,
"session": "0",
"ips": "",
"dirs": "",
"active": "N"
},
"bwlimit": {
"enabled": "Y",
"policy": "0",
"rate": 120,
"rateafter": 0,
"payg": "N",
"active": "Y"
},
"behaviorId": 8282,
"linkedVideoManager": null,
"hostHeader": "cdn.example.com",
"storageHost": "storage-na.example.com",
"storageHostBackup": "storage-eu.example.com",
"osAuthUrl": "https://storage-na.example.com/v3/",
"horizonUrl": "https://storage-na-cdn.example.com/horizon/",
"eac": {
"enabled": "N",
"policy": "N",
"list": "",
"ips": "",
"active": "N"
},
"cdnservice": {
"purgeurls": [
"/dashboard/103/zones/vod/push/6625/purge"
],
"purgeurl": "["\\/dashboard\\/103\\/zones\\/vod\\/push\\/6625\\/purge"]",
"authtoken": "c2FtcGxlLWF1dGh0b2tlbi1oZXJl",
"infourl": "https://cdn-service.example.com/service.php/info/5/push/12345",
"listurl": "https://cdn-service.example.com/service.php/list/5/push/12345",
"rawlisturl": "https://cdn-service.example.com/service.php/raw/list/5/push/12345",
"transcodelisturl": "https://cdn-service.example.com/service.php/transcode/list/5/push/12345",
"addurl": "https://cdn-service.example.com/service.php/add/5/push/12345",
"editurl": "https://cdn-service.example.com/service.php/edit/5/push/12345",
"deleteurl": "https://cdn-service.example.com/service.php/delete/5/push/12345",
"uploadurl": "https://cdn-service.example.com/upload.php",
"playlisturl": "https://cdn-service.example.com/service.php/playlist"
},
"ftpdetails": {
"username": "user_67890_push_12345",
"password": "e70c8986fc"
},
"playbackurls": {
"scheme": "https",
"name": "/path/to/filename.mp4",
"url_prefix": "https://cdn.example.com",
"http": "https://cdn.example.com/path/to/filename.mp4",
"hls": "https://hash-hls-live.5centscdn.com",
"dash": "https://hash-hls-live.5centscdn.com",
"players": {
"hostname": "player.example.com",
"flowplayer": {
"base": "https://player.example.com/flowplayer/hls/",
"hls": "https://player.example.com/flowplayer/hls/"
},
"videojs": {
"base": "https://player.example.com/videojs/hls/",
"hls": "https://player.example.com/videojs/hls/"
},
"own": {
"hashes": {},
"baseQ": "?showcv=true&title=[ReplaceWithVideoTitle]",
"base": "https://player.example.com/5centscdn/auto/skin1/sampleplayer1/",
"hls": "https://player.example.com/5centscdn/auto/skin1/sampleplayer1/"
}
}
},
"s3details": {
"relid": 12345,
"type": "push",
"projectid": "745eb9e347574c3e8c903633c4837e13",
"token": "sample-access-token",
"projectid2": "a9014cbe6446422683854af45fd16379",
"token2": "sample-access-token",
"active": "1",
"updated_at": "2026-04-01 11:36:14",
"last_modified": ""
},
"transcodefile": {
"profiles": [
""
],
"emails": [
""
],
"webhooks": [
"https://app.userback.io/VDS/feedback/?t=board&workflow=248871%2C408339%2C248874&feedback_id=4966107"
]
},
"server": {
"code": 30,
"name": "San Jose City, United States",
"country": "North America",
"meta": {
"uploadPort": "21",
"uploadHost": "upload.example.com"
}
},
"hasEdgeRules": false
}
}
GET
/zones/vod/push/{zoneid}/restoreGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
zoneidinteger
RequiredZone ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
resultstring
Status of the API response.
messagestring
Human-readable status or result message
zoneobject
Was this page helpful?